# Interface GeometryArrays

Represents a geometry that can be sent to BabylonJS

interface GeometryArrays {
indices: GeometryIndiceArray;
positions: Float32Array;
uvs: Float32Array;
}

#### Hierarchy (View Summary)

- GeometryArrays
  - Geometry3d

##### Index

### Properties

indices
positions
uvs

## Properties

### `Readonly` indices

indices: GeometryIndiceArray

Indices. Describes triangles by referencing items in positions.

### `Readonly` positions

positions: Float32Array

Positions (x,y,z).

### `Readonly` uvs

uvs: Float32Array

Uvs (u,v)